[package] firewall: fix rule generation for v4 or v6 only zones (#8955)
authorJo-Philipp Wich <jow@openwrt.org>
Tue, 1 Mar 2011 18:04:14 +0000 (18:04 +0000)
committerJo-Philipp Wich <jow@openwrt.org>
Tue, 1 Mar 2011 18:04:14 +0000 (18:04 +0000)
SVN-Revision: 25813

package/firewall/Makefile
package/firewall/files/lib/core_interface.sh

index 4a8a5d3..3d61e09 100644 (file)
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2008-2010 OpenWrt.org
+# Copyright (C) 2008-2011 OpenWrt.org
 #
 # This is free software, licensed under the GNU General Public License v2.
 # See /LICENSE for more information.
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 PKG_NAME:=firewall
 
 PKG_VERSION:=2
-PKG_RELEASE:=21
+PKG_RELEASE:=22
 
 include $(INCLUDE_DIR)/package.mk
 
index f089759..aff6641 100644 (file)
@@ -70,6 +70,9 @@ fw_configure_interface() {
 
                        # Need v4 while zone is v6
                        */*.*) fw_log info "zone $zone does not support IPv4 address family, skipping"; return ;;
+
+                       # Strip prefix
+                       *) mode="${mode#G}" ;;
                esac
 
                lock /var/run/firewall-interface.lock